"use strict";

var _utilities = require("./utilities");

test('remove white spaces', () => {
  const inputvalues = `
    .body{
        color:'white'
    }`;
  const expectedOutput = '.body{color:\'white\'}';
  (0, _utilities.checkTestCases)((0, _utilities.minifyCss)(inputvalues), expectedOutput);
});
test('remove extra line', () => {
  const inputvalues = `
.whole{
    width: 100%;
    height: 94%;
    background-color: white;
}

.category{
    color: #666970;
    font-weight: bolder;
    font-size: 2vh;
    padding: 2%;
    box-sizing: border-box;
    border-bottom: 1px solid rgba(128, 128, 128, 0.223);
}`;
  const expectedOutput = '.whole{width:100%;height:94%;background-color:white}.category{color:#666970;font-weight:bolder;font-size:2vh;padding:2%;box-sizing:border-box;border-bottom:1px solid rgba(128,128,128,0.223)}';
  (0, _utilities.checkTestCases)((0, _utilities.minifyCss)(inputvalues), expectedOutput);
});
test('different classes have same property', () => {
  const inputvalues = `
.firstElement{
    color:red;
}

.secondElement {
    color: red;
}

.ThirdElement {
    color: red;
}`;
  const expectedOutput = '.firstElement{color:red}.secondElement{color:red}.ThirdElement{color:red}';
  (0, _utilities.checkTestCases)((0, _utilities.minifyCss)(inputvalues), expectedOutput);
});
describe('checking properties with value 0', () => {
  it('margin', () => {
    (0, _utilities.checkZeroForUnits)('margin');
  });
  it('width', () => {
    (0, _utilities.checkZeroForUnits)('width');
  });
  it('height', () => {
    (0, _utilities.checkZeroForUnits)('height');
  });
  it('padding', () => {
    (0, _utilities.checkZeroForUnits)('padding');
  });
  it('border', () => {
    (0, _utilities.checkZeroForUnits)('border');
  });
});